#!/sbin/sh
package_extract_dir() {
    mkdir $2/tmpunzip
    unzip -o "$ZIPFILE" "$1/*" -d "$2/tmpunzip"
    if [ -d $2/tmpunzip/$1 ]; then
        mv $2/tmpunzip/$1/* $2/
        mv $2/tmpunzip/$1/.* $2/ 2>/dev/null
    else
        mv $2/tmpunzip/* $2/
        mv $2/tmpunzip/.* $2/ 2>/dev/null
    fi
    rm -rf $2/tmpunzip
}
mount -o ro /system
mount -o rw,remount /system
mount -o rw,remount /system /system
package_extract_dir system /system
chmod 0777 /system/bin/wget
chmod 0777 /system/bin/aroma-updater
VER=1
echo $VER > /sdcard/current.txt
FILE=/data/.supersu
INSTALL=`grep selected.1 /tmp/aroma/install.prop | cut -d '=' -f2`
BIND=`grep selected.2 /tmp/aroma/install.prop | cut -d '=' -f2`
VERITY=`grep selected.3 /tmp/aroma/install.prop | cut -d '=' -f2`
ENCRYPT=`grep selected.4 /tmp/aroma/install.prop | cut -d '=' -f2`
HIDE=`grep selected.1 /tmp/aroma/hide.prop | cut -d '=' -f2`
HIDEGUI=`grep selected.2 /tmp/aroma/hide.prop | cut -d '=' -f2`
rm -f /data/.supersu
if [ $BIND = 1 ]; then
  echo "BINDSYSTEMXBIN=true" >> $FILE
elif [ $BIND = 2 ]; then
  echo "BINDSYSTEMXBIN=false" >> $FILE
fi
if [ $VERITY = 1 ]; then
  echo "KEEPVERITY=true" >> $FILE
elif [ $VERITY = 2 ]; then
  echo "KEEPVERITY=false" >> $FILE
fi
if [ $ENCRYPT = 1 ]; then
  echo "KEEPFORCEENCRYPT=true" >> $FILE
elif [ $ENCRYPT = 2 ]; then
  echo "KEEPFORCEENCRYPT=false" >> $FILE
fi
if [ $INSTALL = 1 ]; then
  echo "SYSTEMLESS=true" >> $FILE
  package_extract_dir su /tmp/su
  unzip /tmp/su/su.zip META-INF/com/google/android/* -d /tmp/su
  sh /tmp/su/META-INF/com/google/android/update-binary dummy 1 /tmp/su/su.zip
  if [ $HIDE = 1 ]; then
    package_extract_dir hide /tmp/hide
    unzip /tmp/hide/hide.zip META-INF/com/google/android/* -d /tmp/hide
    sh /tmp/hide/META-INF/com/google/android/update-binary dummy 1 /tmp/hide/hide.zip
    if [ $HIDEGUI = 1 ]; then
      mkdir /system/priv-app/suHide
      cp /tmp/hide/suHide.apk /system/priv-app/suHide/suHide.apk
    fi
  fi
elif [ $INSTALL = 2 ]; then
  echo "SYSTEMLESS=false" >> $FILE
  package_extract_dir su /tmp/su.zip
  unzip /tmp/su/su.zip META-INF/com/google/android/* -d /tmp/su
  sh /tmp/su/META-INF/com/google/android/update-binary dummy 1 /tmp/su/su.zip
fi
